# TimerEvent Class

Extends BaseEvent
Defined in: `js/event/TimerEvent.js:15`
Module: event
Parent Module: StructureJS

The TimerEvent...

## Index

Show: Inherited Protected Private Deprecated

### Properties

- bubbles
- cancelable
- currentTarget
- data
- isImmediatePropagationStopped
- isPropagationStopped
- sjsId
- target
- type

### Methods

- TimerEvent constructor
- clone
- destroy
- getQualifiedClassName
- stopImmediatePropagation
- stopPropagation

### Events

- TIMER static
- TIMER_COMPLETE static

## Properties

### `bubbles` Boolean public

Inherited from BaseEvent: `js/event/BaseEvent.js:101`

Indicates whether an event is a bubbling event.

Default: false

### `cancelable` Boolean public

Inherited from BaseEvent: `js/event/BaseEvent.js:110`

Indicates whether the behavior associated with the event can be prevented.

Default: false

### `currentTarget` Any public

Inherited from BaseEvent: `js/event/BaseEvent.js:82`

The currentTarget property always points to the DisplayObjectContainer that the event is currently processing (i.e. bubbling at).

Default: null

### `data` Any public

Inherited from BaseEvent: `js/event/BaseEvent.js:92`

Used to pass any type of data with the event.

Default: null

### `isImmediatePropagationStopped` Boolean public

Inherited from BaseEvent: `js/event/BaseEvent.js:129`

Indicates if the stopImmediatePropagation was called on the event object.

Default: false

### `isPropagationStopped` Boolean public

Inherited from BaseEvent: `js/event/BaseEvent.js:119`

Indicates if the stopPropagation was called on the event object.

Default: false

### `sjsId` Int public

Inherited from BaseObject: `js/BaseObject.js:27`

The sjsId (StructureJS ID) is a unique identifier automatically assigned to most StructureJS objects upon instantiation.

Default: null

### `target` Any public

Inherited from BaseEvent: `js/event/BaseEvent.js:72`

A reference to the object that originally dispatched the event.

Default: null

### `type` String public

Inherited from BaseEvent: `js/event/BaseEvent.js:62`

The type of event.

Default: null

There are no properties that match your current filter settings. You can change your filter settings in the index section on this page. index

## Constructor

### `TimerEvent`
(

- `type`
- `[bubbles=false]`
- `[cancelable=false]`
- `[data=null]`

)

Defined in `js/event/TimerEvent.js:15`

#### Parameters:

- `type` String

  The type of event. The type is case-sensitive.

- `[bubbles=false]` Boolean optional

  Indicates whether an event is a bubbling event. If the event can bubble, this value is true; otherwise it is false. Note: With event-bubbling you can let one Event subsequently call on every ancestor (parent) (containers of containers of etc.) of the DisplayObjectContainer that originally dispatched the Event, all the way up to the surface (Stage). Any classes that do not have a parent cannot bubble.

- `[cancelable=false]` Boolean optional

  Indicates whether the behavior associated with the event can be prevented. If the behavior can be canceled, this value is true; otherwise it is false.

- `[data=null]` Any optional

  Use to pass any type of data with the event.

## Methods

### `clone` () BaseEvent public

Inherited from BaseEvent: `js/event/BaseEvent.js:173`

Duplicates an instance of an BaseEvent subclass.

Returns a new BaseEvent object that is a copy of the original instance of the BaseEvent object.

The new BaseEvent object includes all the properties of the original.

#### Returns:

BaseEvent:

#### Example:

    let cloneOfEvent = event.clone();

### `destroy` () Void public

Inherited from BaseObject: `js/BaseObject.js:55`

The purpose of the destroy method is to make an object ready for garbage collection. This should be thought of as a one way function. Once destroy is called no further methods should be called on the object or properties accessed. It is the responsibility of those who implement this function to stop all running Timers, all running Sounds, and take any other steps necessary to make an object eligible for garbage collection.

By default the destroy method will null out all properties of the class automatically. You should call destroy on other objects before calling the super.

#### Returns:

Void:

#### Example:

    destroy() {
         this.disable();

         this._childInstance.destroy();

         super.destroy();
    }

### `getQualifiedClassName` () String public

Inherited from BaseObject: `js/BaseObject.js:40`

Returns the fully qualified class name of an object.

#### Returns:

String:

Returns the class name.

#### Example:

    let someClass = new SomeClass();
    someClass.getQualifiedClassName();

    // SomeClass

### `stopImmediatePropagation` () public

Inherited from BaseEvent: `js/event/BaseEvent.js:158`

Prevents processing of any event listeners in the current node and any subsequent nodes in the event flow. This method takes effect immediately, and it affects event listeners in the current node. In contrast, the stopPropagation method doesn't take effect until all the event listeners in the current node finish processing.

#### Example:

    event.stopImmediatePropagation();

### `stopPropagation` () public

Inherited from BaseEvent: `js/event/BaseEvent.js:144`

Prevents processing of any event listeners in nodes subsequent to the current node in the event flow. This method does not affect any event listeners in the current node (currentTarget). In contrast, the stopImmediatePropagation method prevents processing of event listeners in both the current node and subsequent nodes. Additional calls to this method have no effect.

#### Example:

    event.stopPropagation();

There are no methods that match your current filter settings. You can change your filter settings in the index section on this page. index

## Events

### `TIMER`

String static

Defined in `js/event/TimerEvent.js:41`

Dispatched whenever a Timer object reaches an interval specified according to the Timer.delay property.

### `TIMER_COMPLETE`

String static

Defined in `js/event/TimerEvent.js:49`

Dispatched whenever it has completed the number of requests set by Timer.repeatCount.

There are no events that match your current filter settings. You can change your filter settings in the index section on this page. index